QGIS Application - Bug report #10728
Processing - "not set" disappears from optional field combo boxes when layer changed
2014-06-25 04:58 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19114
Description

For field combo boxes which are supposed to be optional there's a "[not set]" option. However, this option disappears after selecting a
layer from the layer combo box - making the field choice compulsory.

Steps to reproduce:

1. Open the "Import into PostGIS" algorithm

2. Note how the "Primary key field" is set to "[not set]" - this is the first choice in the combo box

3. Change the "layer to import" combo box to a different layer

4. The "[not set]" option disappears from "Primary key field" - it's now impossible to leave this option blank

Associated revisions

Revision 0a7e69c6 - 2014-06-27 12:33 AM - Nyall Dawson

[processing] Add [not set] option for field combos when parent layer changes (fix #10728), also fix some strings displaying with extra spaces

History

#1 - 2014-06-26 01:50 AM - Giovanni Manghi
- Status changed from Open to Feedback

confirmed here on Linux. Should this be a blocker?

#2 - 2014-06-26 01:55 AM - Nyall Dawson

I'd say yes - it effectively makes any processing algorithms which rely on optional fields unusable.

#3 - 2014-06-26 01:57 AM - Giovanni Manghi
- Status changed from Feedback to Open

ok

#4 - 2014-06-26 03:36 PM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"0a7e69c6a0584a27e7560a1a5ec5e53fbd03b834".

#5 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
